Package org.eclipse.emf.cdo.etypes

# Interface Annotation

All Superinterfaces:
  `CDOObject`, `CDOWithID`, `EObject`, `ModelElement`, `Notifier`

All Known Implementing Classes:
  `AnnotationImpl`

public interface Annotation extends ModelElement
A representation of the model object 'Annotation'.

Since:
  4.0
See Also:
  - `EtypesPackage.getAnnotation()`
Generated
Model
  annotation="http://www.eclipse.org/emf/2002/Ecore constraints='WellFormed WellFormedSourceURI'"
No Implement
  This interface is not intended to be implemented by clients.

  The following features are supported:

  - `Source`
  - `Details`
  - `Model Element`
  - `Contents`
  - `References`
No Extend
  This interface is not intended to be extended by clients.

## Method Summary

Modifier and Type
Method
Description
`EList<EObject>`
`getContents()`
Returns the value of the 'Contents' containment reference list.
`EMap<String,String>`
`getDetails()`
Returns the value of the 'Details' map.
`ModelElement`
`getModelElement()`
Returns the value of the 'Model Element' container reference.
`EList<EObject>`
`getReferences()`
Returns the value of the 'References' reference list.
`String`
`getSource()`
Returns the value of the 'Source' attribute.
`void`
`setModelElement(ModelElement value)`
Sets the value of the '`Model Element`' container reference.
`void`
`setSource(String value)`
Sets the value of the '`Source`' attribute.

### Methods inherited from interface org.eclipse.emf.cdo.CDOObject

`cdoConflict, cdoDirectResource, cdoHistory, cdoID, cdoInvalid, cdoLockState, cdoPermission, cdoPrefetch, cdoReadLock, cdoReload, cdoResource, cdoRevision, cdoRevision, cdoState, cdoView, cdoWriteLock, cdoWriteOption`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.cdo.etypes.ModelElement

`getAnnotation, getAnnotations`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

## Method Details

### getSource

String getSource()
Returns the value of the 'Source' attribute.

If the meaning of the 'Source' attribute isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Source' attribute.
See Also:
  - `setSource(String)`
  - `EtypesPackage.getAnnotation_Source()`
Generated
Model

### setSource

void setSource(String value)
Sets the value of the '`Source`' attribute.

Parameters:
  `value` - the new value of the 'Source' attribute.
See Also:
  - `getSource()`
Generated

### getDetails

EMap<String,String> getDetails()
Returns the value of the 'Details' map. The key is of type `String`, and the value is of type `String`,

If the meaning of the 'Details' map isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Details' map.
See Also:
  - `EtypesPackage.getAnnotation_Details()`
Generated
Model
  mapType="org.eclipse.emf.cdo.etypes.StringToStringMapEntry<org.eclipse.emf.ecore.EString, org.eclipse.emf.ecore.EString>"

### getModelElement

ModelElement getModelElement()
Returns the value of the 'Model Element' container reference. It is bidirectional and its opposite is '`Annotations`'.

If the meaning of the 'Model Element' container reference isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Model Element' container reference.
See Also:
  - `setModelElement(ModelElement)`
  - `EtypesPackage.getAnnotation_ModelElement()`
  - `ModelElement.getAnnotations()`
Generated
Model
  opposite="annotations" transient="false"

### setModelElement

void setModelElement(ModelElement value)
Sets the value of the '`Model Element`' container reference.

Parameters:
  `value` - the new value of the 'Model Element' container reference.
See Also:
  - `getModelElement()`
Generated

### getContents

EList<EObject> getContents()
Returns the value of the 'Contents' containment reference list. The list contents are of type `EObject`.

If the meaning of the 'Contents' containment reference list isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Contents' containment reference list.
See Also:
  - `EtypesPackage.getAnnotation_Contents()`
Generated
Model
  containment="true"

### getReferences

EList<EObject> getReferences()
Returns the value of the 'References' reference list. The list contents are of type `EObject`.

If the meaning of the 'References' reference list isn't clear, there really should be more of a description here...

Returns:
  the value of the 'References' reference list.
See Also:
  - `EtypesPackage.getAnnotation_References()`
Generated
Model